# Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException Class Reference

The No Direct3D exception. Something really had to go wrong for this to occur. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::DirectXSampleException, Microsoft::Samples::DirectX::UtilityToolkit::DirectXSampleException, and Microsoft::Samples::DirectX::UtilityToolkit::DirectXSampleException.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException:

[legend]

List of all members.

## Public Member Functions
| NoDirect3DException ()
| NoDirect3DException (Exception inner)
| NoDirect3DException ()
| NoDirect3DException (Exception inner)
| NoDirect3DException ()
| NoDirect3DException (Exception inner)

## Detailed Description

The No Direct3D exception. Something really had to go wrong for this to occur.

Definition at line 25 of file dxmutexception.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException.NoDirect3DException | ( |  | ) |

Definition at line 27 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException.NoDirect3DException | ( | Exception | inner | ) |

Definition at line 28 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException.NoDirect3DException | ( |  | ) |

Definition at line 27 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException.NoDirect3DException | ( | Exception | inner | ) |

Definition at line 28 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException.NoDirect3DException | ( |  | ) |

Definition at line 27 of file wdxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException.NoDirect3DException | ( | Exception | inner | ) |

Definition at line 28 of file wdxmutexception.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutexception.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutexception.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutexception.cs